# Online Abstimmungs scripe

Diese PHP scripte liegen im Webordner unter [stura.link/lehrpreis](stura.link/lehrpreis) und generieren Formularlinks.
Hier die Prozedur...

## Wenn der Studi eine @mailbox.tu-dresden.de Adreesse hat

Dann wird die Mailadresse gehashed und in einer Liste (Datei) abgelegt. Aus einem Passwort und einem Salt wird ein Hash erstellt und an die Formular URL angehängt.
Das Limesurvey Formular wird den Parameterwert später in ein verstecktes Textfeld einfügen und somit in den Umfragewerten speichern.
Der Formular Link wird dem Studi per Mail gesendet. Eine verknüpfung zwischen dem Schlüssel (bzw. Formularlink) und der Mailadresse oder deren Hash wird **nicht** gespeichert.

Die Abstimmung wird verweigert, wenn der Mailhash bereits auf der Sperrliste steht, oder eine unbekannte E-mail Adresse (@gmail, etc.) verwendet wird.

## Wenn der Studi eine @tu-dresden.de oder @ifsr.de Adresse hat

Der Studi wird gebeten, einer manuellen Überprüfung zuzustimmen. Stimmt er zu, wird an einem FSRler ein Datensatz per Mail gesendet. Wir überprüfen dann mittels der ZiH Datenbank (alias Opal) ob der Studi noch studiert. Ist das der Fall wird der vorbereitete Schlüssel mit Formularlink gesendet. Der E-Mail Hash wird auf die oben genannte Sperrliste geschrieben, sodass eine erneute Abstimmung ebenfalls nicht möglich ist.

Die Anfrage E-Mails werden natürlich ebenfalls nach der in der Datenschutzerklärung angegebenen Löschfrist gelöscht.

## Ist das eine sichere Wahl?

Die FSR Admins hätten technisch gesehen die Möglichkeit, die Wahl durch auslesen des Passwortes und Löschen von Stimmen im Limesurvey zu manipulieren. Jedoch ist die Wahl solange ihr dem FSR traut Datensparsam.
